/*
 * generated by Xtext 2.22.0
 */
package dsl.datamodel.tests

import com.google.inject.Inject
import dsl.datamodel.datamodel.Context
import org.eclipse.xtext.testing.InjectWith
import org.eclipse.xtext.testing.extensions.InjectionExtension
import org.eclipse.xtext.testing.util.ParseHelper
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.^extension.ExtendWith
import org.junit.Assert

@ExtendWith(InjectionExtension)
@InjectWith(DatamodelInjectorProvider)
class DatamodelParsingTest {
	@Inject
	extension ParseHelper<Context> parseHelper
	
	@Test
	def void testVersion3Digits() {
		val context = '''
			context Base_Context-1.0.0 {
				entity-catalog {
					Instrument 
						  
					InterestInstrument extends Base_Context-1.0.0.Instrument  
				}
			}
		'''.parse
		
		Assert::assertEquals("Instrument", context.entities.get(1).parentEntity.name)
	}
	
	@Test
	def void testVersion4Digits() {
		val context = '''
			context Base_Context-1.0.0.0 {
				entity-catalog {
					
					Instrument 
											  
					InterestInstrument extends Base_Context-1.0.0.0.Instrument  
				}
			}
		'''.parse
		
		Assert::assertEquals("Instrument", context.entities.get(1).parentEntity.name)
	}
}
